Berkeley DB questions

Julien ÉLIE julien at trigofacile.com
Mon Aug 13 15:08:25 UTC 2007


Hi,

I see that Berkeley DB version is currently 4.6.18 and I wonder whether
something better than:

/m4/berkeleydb.m4
        for version in BerkeleyDB.4.4 BerkeleyDB.4.3 BerkeleyDB.4.2 \
                       BerkeleyDB.4.1 BerkeleyDB.4.0 \
                       BerkeleyDB.3.3 BerkeleyDB.3.2 BerkeleyDB.3.1 \
                       BerkeleyDB.3.0 BerkeleyDB ; do
[...]
        for version in db44 db43 db42 db41 db4 db3 db2 ; do

could be done...


Moreover, in INSTALL, there is:

=item B<--with-berkeleydb=PATH>
Enables support for Berkeley DB (2.x through 4.2.x)

Well, is it sure that all versions between 2.x and 4.2.52 are working fine?
And are there any news or feedback for 4.3.x, 4.4.x, 4.5.x and 4.6.x with INN?

I also wonder how can all these versions be tested efficiently...
There are too many...  (or maybe is it only necessary to test with one
minor version only?)

-- 
Julien ÉLIE

« Bon appétit, Messieurs, ô ministres intègres ! » (Victor Hugo)



More information about the inn-workers mailing list